Start a structured data extraction job
/extractAuthorization
api-key Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Agent configuration
Enable web search for URL discovery
falseIgnore invalid URLs and process remaining valid ones
trueIgnore sitemap during URL discovery
falseInclude subdomains in extraction
trueNatural language prompt describing what to extract. Maximum 16384 UTF-8 bytes.
JSON Schema for structured output. Serialized schema is limited to 65536 UTF-8 bytes.
Scrape options for each URL. zeroDataRetention: true is currently rejected with 400 ZERO_DATA_RETENTION_NOT_SUPPORTED.
Include source citations in response
false1–20 unique public HTTP(S) URLs. May be omitted only when enableWebSearch is true. Each URL is limited to 2048 UTF-8 bytes.
1 <= items <= 20Webhook configuration
Response Body
application/json
curl -X POST "https://example.com/extract" \ -H "Content-Type: application/json" \ -d '{ "prompt": "Extract all product names, prices, and descriptions from these pages" }'{ "id": "string", "invalidURLs": [ "string" ], "success": true, "url": "string"}